include	<evvexpr.h>

bool procedure filter (cat, rec, filt)

pointer	cat			#I Catalog pointer
pointer	rec			#I Record structure
char	filt[ARB]		#I Filter string
bool	match			#O Filter return value

pointer	o, catexpr()
errchk	catexpr, xvv_error1

begin
	if (cat == NULL || rec == NULL)
	    return (false)
	if (filt[1] == EOS)
	    return (true)

	# Evaluate filter.
	iferr (o = catexpr (filt, cat, rec)) {
	    #call evvfree(o)
	    match = false
	    return (match)
	}

	if (O_TYPE(o) != TY_BOOL) {
	    call evvfree(o)
	    call xvv_error1 ("Filter expression is not boolean", filt)
	}

	match = (O_VALI(o) == YES)
	call evvfree(o)

	return (match)
end
